Package com.google.web.bindery.requestfactory.apt

## Class RfValidator

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - com.google.web.bindery.requestfactory.apt.RfValidator

- All Implemented Interfaces:
    `javax.annotation.processing.Processor`

      @SupportedAnnotationTypes("*")
      @SupportedOptions({"rootOverride","suppressErrors","suppressWarnings","verbose"})
      public class RfValidator
      extends javax.annotation.processing.AbstractProcessor

  The entry point for annotation validation.

- - ### Field Summary

    - ### Fields inherited from class javax.annotation.processing.AbstractProcessor

      `processingEnv`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RfValidator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.lang.model.SourceVersion` | `getSupportedSourceVersion()` |
    `void` | `init​(javax.annotation.processing.ProcessingEnvironment processingEnv)` |
    `boolean` | `process​(java.util.Set<? extends javax.lang.model.element.TypeElement> annotations, javax.annotation.processing.RoundEnvironment roundEnv)` |
    `void` | `setClientOnly​(boolean clientOnly)` |
    `(package private) void` | `setForceErrors​(boolean forceErrors)` |
    `(package private) void` | `setMustResolveAllMappings​(boolean requireAll)` | Make it an error to not resolve all ProxyForName and ServiceName mappings.
    `(package private) void` | `setRootOverride​(java.util.List<java.lang.String> binaryTypeNames)` | Instead of scanning the round's root elements, scan these type names instead.

    - ### Methods inherited from class javax.annotation.processing.AbstractProcessor

      `getCompletions, getSupportedAnnotationTypes, getSupportedOptions, isInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RfValidator

          public RfValidator()

  - ### Method Detail

    - #### getSupportedSourceVersion

          public javax.lang.model.SourceVersion getSupportedSourceVersion()

      Specified by:
        `getSupportedSourceVersion` in interface `javax.annotation.processing.Processor`
      Overrides:
        `getSupportedSourceVersion` in class `javax.annotation.processing.AbstractProcessor`

    - #### init

          public void init​(javax.annotation.processing.ProcessingEnvironment processingEnv)

      Specified by:
        `init` in interface `javax.annotation.processing.Processor`
      Overrides:
        `init` in class `javax.annotation.processing.AbstractProcessor`

    - #### process

          public boolean process​(java.util.Set<? extends javax.lang.model.element.TypeElement> annotations,
                                 javax.annotation.processing.RoundEnvironment roundEnv)

      Specified by:
        `process` in interface `javax.annotation.processing.Processor`
      Specified by:
        `process` in class `javax.annotation.processing.AbstractProcessor`

    - #### setClientOnly

          public void setClientOnly​(boolean clientOnly)

    - #### setForceErrors

          void setForceErrors​(boolean forceErrors)

    - #### setMustResolveAllMappings

          void setMustResolveAllMappings​(boolean requireAll)

      Make it an error to not resolve all ProxyForName and ServiceName mappings.

    - #### setRootOverride

          void setRootOverride​(java.util.List<java.lang.String> binaryTypeNames)

      Instead of scanning the round's root elements, scan these type names instead. This is used by the ValidationTool to scan pre-compiled classfiles.